<!DOCTYPE html>
<%@ page import="com.sas.taglib.flex.RB" %>
<%@ page import="org.apache.commons.lang.StringEscapeUtils" %>

<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

  <head></head>

  <!-- This page gets used to create a top level AppSwitcher.  When launching into any AppSwitcher
       enabled application it determines whether the app was added via appSwitcher.addApp or is being
       launched directly via the apps url.  
       
       If launched via the apps url then the sas-flex:appSwitcher tag detects that and forwards to
       this bootstrap jsp which will create top level AppSwitcher and then add the requested app
       back in via the AppSwitcher API.   To do this it means that the sas-flex:appSwitcher tag
       has to pass in all the needed information from the original request as request parms.
   -->
  <body>
    
    
	<!--[if lt IE 9]>
	<script type="text/javascript">
		// S1020829 -We don't support IE prior to version 9.  Give them a notification letting them know
		// things are not going to work. 
		alert('This appears to be an unsupported browser.');
	</script>
	<![endif]-->
	
    <script type="text/javascript">
        // Instead of using data-dojo-config, were creating a dojoConfig
        // object *before* we load dojo.js; theyre functionally identical,
        // it's just easier to read this approach with a larger configuration.
        var dojoConfig = {
            async: true,
            // This code registers the correct location of the "javascript"
            // package so we can load modules from somewhere other than dojo location.
            packages: [{
            name: "sas",
            location: "<%=request.getAttribute("basePath")%>/scripts/sas"
            }]
        }; 
        
        var sasAppSwitcherLocalizedStrings={};
        sasAppSwitcherLocalizedStrings['discardUnsavedChanges.txt']='<%=StringEscapeUtils.escapeJavaScript(RB.getStringResource("ApplicationSwitcherTag.", "discardUnsavedChanges.txt",request.getLocale()))%>';
        sasAppSwitcherLocalizedStrings['unsavedChangesNotification.txt']='<%=StringEscapeUtils.escapeJavaScript(RB.getStringResource("ApplicationSwitcherTag.", "unsavedChangesNotification.txt",request.getLocale()))%>';
        
    </script>

    <script src='<%=request.getAttribute("basePath")%>/scripts/<%=request.getAttribute("dojoPath")%>' data-dojo-config='async: true' type='text/javascript'></script>

    <script type="text/javascript">
    	require(['dojo/_base/unload'], function(baseUnload)  
		{
//    		on(window, "beforeunload", lang.hitch(obj, functionName));
		});
    </script>
    
    <script type="text/javascript">
        
        require(["sas/flex/appSwitcher","dojo/_base/unload"], function(appSwitcher, baseUnload)
        {
        	// Add a page unload handler so we can display message about losing unsaved changes
        	// if any of our apps are in a dirty state when trying to close tab, browser, change url, etc...
    		baseUnload.addOnUnload(function(event)
     			   {
    			        // If dirty message has been disabled for any reason (timeout dialog) then just let it exit.
    			        if(appSwitcher.isDirtyMessageEnabled()===false)
    			        	return;
    			        
     			        var unsavedChangesMessage=appSwitcher.getUnsavedChangesMessage();
     			        if(unsavedChangesMessage===null)
     			        {
                            return;
                        }
     			        else
     			        {
                            event.returnValue=unsavedChangesMessage;
                            return unsavedChangesMessage;
     			        }
     				});

            // Add the requested app back in via appSwitcher.  This Bootstrap jsp should only ever
            // be called by the appSwitcher jsp tag which passes along the information needed
            // to called gotoApp (appId, url, isCompliant).  
          appSwitcher.gotoApp('<%=request.getAttribute("appId")%>', window.location.href, true, {'bootstrapping':true});
          appSwitcher.updateTitle('<%=request.getAttribute("title")%>');
           
        });
    </script>   
  </body>

</html>    
